unset WORKSHOP_ROOT
export WORKSHOP_ROOT="/opt/Forte-10.0/SUNWspro/prod"
## If you would like to see the template instantiations at compile time,
## set the VERBOSE_TEMPLATE variable.
export VERBOSE_TEMPLATE="-verbose=template"
export CC="${WORKSHOP_ROOT}/bin/cc"
export CXX="${WORKSHOP_ROOT}/bin/CC"
export XLDSCOPE="-xldscope=symbolic"
## export XLDSCOPE=""
export XDUMPMACROS=""
## export XDUMPMACROS="-xdumpmacros=%all"
export LINKCRUNCSTD="/usr/lib/libCrun.so.1 /usr/lib/libCstd.so.1"
# export XLINKOPT=" -xlinkopt=2"
export XLINKOPT=""

## Solaris 9 SPARC ONLY
## export XPAGESIZE="-xpagesize=default"
## Solaris 8 SPARC AND X86 ALL
export XPAGESIZE=""

export OPENSSLROOT="/opt/fsw4sun/ssl"

unset CFLAGS
export CFLAGS="  -erroff=%all -errshort=full -errfmt=error -errwarn=%none -xO5 -s -xc99=all -xjobs=2 -xregs=appl,no%float -xrestrict=%all -dalign -xprefetch=auto -xprefetch_level=3 -xbuiltin=%all -xcsi -xinline=%auto -xsafe=mem -xmemalign=8i -xcode=pic32 -xustr=ascii_utf16_ushort -xvis=yes -z now -z rescan -z absexec -xildoff ${XLDSCOPE} ${XPAGESIZE} ${XLINKOPT} -xF=%none -xalias_level=std -xsafe=mem -xthreadvar -lpthread -lposix4 -lrt -mt -D_REENTRANT -DLIBXML_THREAD_ALLOC_ENABLED -D__EXTENSIONS__ -D_XPG6 -D_POSIX_PTHREAD_SEMANTICS -DWORDS_BIGENDIAN=1 -DSOLARIS_USCSI -DWORDS_BIGENDIAN=1 -DSOLARIS -DWORDS_BIGENDIAN=1 -DSOLARIS10 -DUSE_SOLARIS -DQT_QLOCALE_NEEDS_VOLATILE -DQT_THREAD_SUPPORT -DKSSL_HAVE_SSL -DGTK_COMPILATION -UGTK_DISABLE_DEPRECATED -DNDEBUG -DNO_DEBUG -KPIC -xtarget=ultra2 -xarch=v8plusa -xchip=ultra2 -xcache=32/64/4:2048/64/1 -xO5 -s "
 
export CPP="${CC} ${CFLAGS} -E -D_REENTRANT -DLIBXML_THREAD_ALLOC_ENABLED"

unset LDFLAGS
export LDFLAGS=" -Y P,/opt/fsw4sun/lib:/opt/fsw4sun/ssl/lib:/opt/fsw4sun/freetype-2.1.7/lib:/opt/fsw4sun/fontconfig-2.2.0/lib:/opt/fsw4sun/libxml2-2.6.19/lib:/opt/fsw4sun/libxslt-1.1.14/lib:/opt/fsw4sun/python-2.3.4/lib:/opt/fsw4sun/glib-2.6.3/lib:/opt/fsw4sun/atk-1.9.1/lib:/opt/fsw4sun/pango-1.8.1/lib:/opt/fsw4sun/gtk+-2.6.4/lib:/opt/qt-3.3.4-32/lib:/opt/kde-3.4.3/lib:/opt/kde-3.4.3/lib/kde3:/opt/fsw4sun/krb-1.3.5/lib:/opt/fsw4sun/net-snmp-5.1.2/lib:/opt/fsw4sun/sasl-2.1.19/lib:/opt/fsw4sun/openldap-2.2.17/lib:/opt/fsw4sun/samba-3.0.9/lib:/opt/fsw4sun/openslp-1.0.11/lib:/opt/fsw4sun/cups-1.1.23/lib:/usr/ccs/lib:/usr/openwin/lib:/usr/X11/lib:/usr/dt/lib:/usr/lib -i -L/opt/fsw4sun/lib -liconv -lintl -L/opt/fsw4sun/cups-1.1.23/lib -L/opt/fsw4sun/ssl/lib -L/opt/fsw4sun/libxml2-2.6.19/lib -L/opt/kde-3.4.3/lib -L/opt/fsw4sun/freetype-2.1.7/lib /opt/fsw4sun/freetype-2.1.7/lib/libfreetype.so.6 -lz -L/opt/fsw4sun/fontconfig-2.2.0/lib /opt/fsw4sun/fontconfig-2.2.0/lib/libfontconfig.so.1 -L/opt/fsw4sun/glib-2.6.3/lib -L/opt/fsw4sun/atk-1.9.1/lib -L/opt/fsw4sun/pango-1.8.1/lib -L/opt/fsw4sun/gtk+-2.6.4/lib -L/opt/fsw4sun/libxml2-2.6.19/lib -L/opt/fsw4sun/libxslt-1.1.14/lib -L/opt/fsw4sun/krb-1.3.5/lib -L/opt/fsw4sun/openldap-2.2.17/lib -L/opt/fsw4sun/net-snmp-5.1.2/lib -L/opt/fsw4sun/samba-3.0.9/lib -L/opt/fsw4sun/sasl-2.1.19/lib -L/opt/fsw4sun/cups-1.1.23/lib -L/opt/fsw4sun/ssl/lib -L/opt/fsw4sun/libxml2-2.6.19/lib -L/opt/fsw4sun/libxslt-1.1.14/lib -L/opt/qt-3.3.4-32/lib -L${WORKSHOP_ROOT}/lib -lc -lsunmath  -lm -ldl -L/usr/dt/lib -L/usr/openwin/lib -L/usr/X11/lib -L/usr/ccs/lib -L/usr/lib -R/opt/fsw4sun/lib:/opt/fsw4sun/ssl/lib:/opt/fsw4sun/glib-2.6.3/lib:/opt/fsw4sun/atk-1.9.1/lib:/opt/fsw4sun/pango-1.8.1/lib:/opt/fsw4sun/gtk+-2.6.4/lib:/opt/fsw4sun/freetype-2.1.7/lib:/opt/fsw4sun/fontconfig-2.2.0/lib:/opt/fsw4sun/libxml2-2.6.19/lib:/opt/fsw4sun/libxslt-1.1.14/lib:/opt/kde-3.4.3/lib:/opt/qt-3.3.4-32/lib:/usr/openwin/lib:/usr/X11/lib:/usr/dt/lib:/usr/ccs/lib:/usr/lib -KPIC -lpthread -lposix4 -lrt -mt -D_REENTRANT -DLIBXML_THREAD_ALLOC_ENABLED -DWORDS_BIGENDIAN=1 -DSOLARIS_USCSI -DWORDS_BIGENDIAN=1 -DSOLARIS -DWORDS_BIGENDIAN=1 -DSOLARIS10 -DUSE_SOLARIS -DQT_QLOCALE_NEEDS_VOLATILE -DQT_THREAD_SUPPORT -DKSSL_HAVE_SSL=1 ${LINKCRUNCSTD} ${XLDSCOPE} -xlibmil ${XPAGESIZE} -xF=%none -xthreadvar -z now -z rescan -z absexec -xtarget=ultra2 -xarch=v8plusa -xchip=ultra2 -xcache=32/64/4:2048/64/1 -xO5 -s "

unset CPPFLAGS
export CPPFLAGS="-I${WORKSHOP_ROOT}/include/CC -I${WORKSHOP_ROOT}/include/CC/Cstd -I/opt/fsw4sun/freetype-2.1.7/include/freetype2 -I/opt/fsw4sun/freetype-2.1.7/include -I/opt/fsw4sun/fontconfig-2.2.0/include -I/opt/fsw4sun/fontconfig-2.2.0/include/fontconfig -I/opt/kde-3.4.3/include -I/opt/fsw4sun/glib-2.6.3/include -I/opt/fsw4sun/atk-1.9.1/include -I/opt/fsw4sun/pango-1.8.1/include -I/opt/fsw4sun/gtk+-2.6.4/include -I/opt/fsw4sun/libxml2-2.6.19/include -I/opt/fsw4sun/libxslt-1.1.14/include -I/opt/fsw4sun/krb-1.3.5/include -I/opt/fsw4sun/openldap-2.2.17/include -I/opt/fsw4sun/net-snmp-5.1.2/include -I/opt/fsw4sun/sasl-2.1.19/include -I/opt/fsw4sun/samba-3.0.9/include -I/opt/fsw4sun/cups-1.1.23/include -I/opt/fsw4sun/ssl/include -I/opt/fsw4sun/include -I/usr/openwin/include -I/usr/X11/include -I/usr/dt/include -I/opt/fsw4sun/libxml2-2.6.19/include -I/opt/fsw4sun/libxslt-1.1.14/include -I/opt/fsw4sun/python-2.3.4/include -I/opt/fsw4sun/include -I/opt/kde-3.4.3/include -I/opt/qt-3.3.4-32/include -I/opt/fsw4sun/openslp-1.0.11/include -I/opt/fsw4sun/cups-1.1.23/include -I/opt/fsw4sun/krb-1.3.5/include -I/opt/fsw4sun/sasl-2.1.19/include -I/opt/fsw4sun/openldap-2.2.17/include -I/opt/fsw4sun/net-snmp-5.1.2/include -I/opt/fsw4sun/samba-3.0.9/include "

unset CXXFLAGS
export CXXFLAGS=" -features=%all,extensions -instances=global -template=geninlinefuncs ${VERBOSE_TEMPLATE} -xO5 -s -xregs=appl,no%float -xrestrict=%all -xprefetch=auto -xprefetch_level=3 -xbuiltin=%all -xinline=%auto -xsafe=mem -xmemalign=8i -xcode=pic32 -xjobs=2 ${XPAGESIZE} -xlibmil -xustr=ascii_utf16_ushort -xlibmopt -z now -z rescan -z absexec ${XLDSCOPE} ${XLINKOPT} -xalias_level=compatible -xildoff -lpthread -lposix4 -lrt -mt -D_REENTRANT -DLIBXML_THREAD_ALLOC_ENABLED -DKSSL_HAVE_SSL -DNDEBUG -DNO_DEBUG -KPIC ${XPAGESIZE} -xF=%none -xthreadvar ${XDUMPMACROS}  -D__EXTENSIONS__ -D_XPG6 -D_POSIX_PTHREAD_SEMANTICS -DWORDS_BIGENDIAN=1 -DSOLARIS_USCSI -DWORDS_BIGENDIAN=1 -DSOLARIS -DWORDS_BIGENDIAN=1 -DSOLARIS10 -DUSE_SOLARIS -DQT_QLOCALE_NEEDS_VOLATILE -DQT_THREAD_SUPPORT -DKSSL_HAVE_SSL=1 -DGTK_COMPILATION -UGTK_DISABLE_DEPRECATED -xtarget=ultra2 -xarch=v8plusa -xchip=ultra2 -xcache=32/64/4:2048/64/1 -xO5 -s "
export F77="/opt/Forte-10.0/SUNWspro/prod/bin/f90"
export F77FLAGS=" -erroff=%all -errshort=full -errfmt=error -errwarn=%none -xO5 -s -xc99=all -xjobs=2 -dalign -xprefetch=auto -xprefetch_level=3 -dbl_align_all=yes -f77=%all -xbuiltin=%all -xcsi -xinline=%auto -xsafe=mem -xmemalign=8i -xcode=pic32 -xustr=ascii_utf16_ushort -z now -z rescan -z absexec -xildoff -xF=%none -xsafe=mem -xthreadvar -mt -lpthread -lposix4 -lrt -D_REENTRANT -DLIBXML_THREAD_ALLOC_ENABLED -DWORDS_BIGENDIAN=1 -DSOLARIS_USCSI -DWORDS_BIGENDIAN=1 -DSOLARIS -DWORDS_BIGENDIAN=1 -DSOLARIS10 -DUSE_SOLARIS -DQT_QLOCALE_NEEDS_VOLATILE -DQT_THREAD_SUPPORT -DKSSL_HAVE_SSL=1 -DNDEBUG -DNO_DEBUG -KPIC -xarch=sse2  -xcache=32/64/4:2048/64/1 -xO5 -s "
export FFLAGS="${F77FLAGS}"

export CXXCPP="${CXX} ${CXXFLAGS} -E -D_REENTRANT -DLIBXML_THREAD_ALLOC_ENABLED"

export GCC="no"
export GXX="no"
export M4="/opt/fsw4sun/bin/m4"
# Template instantiations:
# -instances=explicit:
#	places explicitly instantiated instances
#	into the current object file and gives
#	them global linkage. Does not generate
#	any other needed instances.
# -instances=extern:
#	Places all needed instances into the
#	template repository and gives them global
#	linkage. (If an instance in the repository
#	is out of date, it will be reinstantiated.)
# -instances=explicit -template=no%extdef,wholeclass -verbose=template:
#	
# 01/18/2003
# Forte 7 serial number 60-day trial: FDT070-M99BDISNU-029113820
#
# -xdumpmacros=%all
